> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/bmc/cidr-block/modifycidrblocksattribute.md).

# ModifyCidrBlocksAttribute

## 1. API Description

This API (ModifyCidrBlocksAttribute) is used to The API is used to modify the attributes of one or more CIDR blocks. Only the CIDR block name to be displayed can be modified for now.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                                                            |
| -------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| name           | Yes      | String          | <p>CIDR block name to be displayed.</p><p>This parameter can contain up to 64 characters.</p>                                                                                                          |
| cidrBlockIds   | Yes      | Array of String | <p>CIDR block ID(s).</p><p>To obtain the CIDR block IDs, you can call DescribeCidrBlocks and look for cidrBlockId in the response.</p><p>The maximum number of CIDR blocks in each request is 100.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
Modify names of `cidrBlockId1` and `cidrBlockId2` to `myCidrBlockName`.

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCidrBlocksAttribute
<Common Request Params>

Request:
{
  "cidrBlockIds": [
    "cidrBlockId1",
    "cidrBlockId2"
  ],
  "name": "myCidrBlockName"
}

Response:
{
  "requestId": "TF7DE750F-B3AA-4A65-BB46-1EE89072FC04",
  "response": {
    "requestId": "TF7DE750F-B3AA-4A65-BB46-1EE89072FC04"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
